API-referentie
API-sleutels weergeven
Uw actieve standaard API-sleutels in het huidige account weergeven.
Uw actieve standaard API-sleutels in het huidige account weergeven.
Eindpunt
- Basis-URL
https://runapi.ai- API-versie
v1- Authenticatie
Authorization: Bearer YOUR_MANAGEMENT_API_KEY
02
JSON-bodyVerzoek
Stuur waarden alleen op de vermelde verzoeklocatie.
Queryparameters2 velden
limitinteger
Optioneel
Maximum aantal geretourneerde API-sleutels per pagina.
Standaard:20
Bereik: 1 - 100
pageinteger
Optioneel
Paginanummer met offset. Waarden beginnen bij 1.
Standaard:1
Grens: 1
03
HTTP 200Succesvol antwoord
GET /api/v1/keys
JSON
{
"keys": [
{
"allowed_models": [
"gpt-5.4"
],
"created_at": "2026-07-27T10:00:00.000Z",
"credit_limit_cents": 1000,
"credit_limit_reset_interval": "daily",
"credit_limit_windows": {
"1d": {
"limit_cents": 500
},
"1h": {
"limit_cents": 100
},
"7d": {
"limit_cents": 2000
}
},
"enabled": true,
"guardrail_id": "guardrail_123",
"id": "token_123",
"last_used_at": null,
"masked_token": "runapi_abc...wxyz",
"name": "Production"
}
],
"pagination": {
"limit": 20,
"page": 1,
"pages": 1,
"total": 1
}
}
04
HTTP 401Foutrespons (401)
Responsschema
JSON
{
"properties": {
"error": {
"description": "Leesbare foutmelding.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Responsvoorbeeld
JSON
{
"error": "Authentication required"
}
05
HTTP 403Foutrespons (403)
Responsschema
JSON
{
"properties": {
"error": {
"description": "Leesbare foutmelding.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Responsvoorbeeld
JSON
{
"error": "Management API key required"
}
06
HTTP 403Foutrespons (403)
Responsschema
JSON
{
"properties": {
"error": {
"description": "Leesbare foutmelding.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
}
Responsvoorbeeld
JSON
{
"error": "Account admin required"
}
07
HTTP 400Foutrespons (400)
Responsschema
JSON
{
"oneOf": [
{
"properties": {
"error": {
"description": "Leesbare foutmelding.",
"type": "string"
}
},
"required": [
"error"
],
"type": "object",
"unevaluatedProperties": false
},
{
"properties": {
"error": {
"description": "Leesbare validatiesamenvatting.",
"type": "string"
},
"errors": {
"additionalProperties": {
"items": {
"type": "string"
},
"type": "array"
},
"description": "Validatieberichten gekoppeld aan het openbare aanvraagveld, met een reeks leesbare tekenreeksen per veld.",
"type": "object"
}
},
"required": [
"error",
"errors"
],
"type": "object",
"unevaluatedProperties": false
}
]
}
Responsvoorbeeld
JSON
{
"error": "page must be an integer"
}
08
cURL-voorbeeld
CURL
curl -X GET https://runapi.ai/api/v1/keys?page=1&limit=20 \
-H 'Authorization: Bearer YOUR_MANAGEMENT_API_KEY'